Package org.apache.wiki.ajax

# Interface WikiAjaxServlet

All Known Implementing Classes:
  `DefaultProgressManager.JSONTracker`, `DefaultSearchManager.JSONSearch`, `DefaultUserManager.JSONUserModule`, `SampleAjaxPlugin`

public interface WikiAjaxServlet
An interface for a servlet that wants to use Ajax functionality. See `SampleAjaxPlugin`

Since:
  2.10.2-svn12

## Method Summary

Modifier and Type
Method
Description
`String`
`getServletMapping()`
`void`
`service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String actionName, List<String> params)`

## Method Details

### getServletMapping

String getServletMapping()

### service

void service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String actionName, List<String> params) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`